/*
 * wt_sablona_dt.h
 *
 * Code generation for model "wt_sablona".
 *
 * Model version              : 1.90
 * Simulink Coder version : 8.3 (R2012b) 20-Jul-2012
 * C source code generated on : Thu May 21 15:42:27 2015
 *
 * Target selection: rtwin.tlc
 * Note: GRT includes extra infrastructure and instrumentation for prototyping
 * Embedded hardware selection: Generic->32-bit x86 compatible
 * Code generation objectives: Unspecified
 * Validation result: Not run
 */

#include "ext_types.h"

/* data type size table */
static uint_T rtDataTypeSizes[] = {
  sizeof(real_T),
  sizeof(real32_T),
  sizeof(int8_T),
  sizeof(uint8_T),
  sizeof(int16_T),
  sizeof(uint16_T),
  sizeof(int32_T),
  sizeof(uint32_T),
  sizeof(boolean_T),
  sizeof(fcn_call_T),
  sizeof(int_T),
  sizeof(pointer_T),
  sizeof(action_T),
  2*sizeof(uint32_T)
};

/* data type name table */
static const char_T * rtDataTypeNames[] = {
  "real_T",
  "real32_T",
  "int8_T",
  "uint8_T",
  "int16_T",
  "uint16_T",
  "int32_T",
  "uint32_T",
  "boolean_T",
  "fcn_call_T",
  "int_T",
  "pointer_T",
  "action_T",
  "timer_uint32_pair_T"
};

/* data type transitions for block I/O structure */
static DataTypeTransition rtBTransitions[] = {
  { (char_T *)(&wt_sablona_B.Gain), 0, 0, 8 },

  { (char_T *)(&wt_sablona_B.CounterInput), 7, 0, 1 },

  { (char_T *)(&wt_sablona_B.FixPtRelationalOperator), 8, 0, 1 }
  ,

  { (char_T *)(&wt_sablona_DWork.DelayInput1_DSTATE), 0, 0, 2 },

  { (char_T *)(&wt_sablona_DWork.FrequencyOutput_PWORK), 11, 0, 9 },

  { (char_T *)(&wt_sablona_DWork.CounterInput_IWORK.LastResetInput), 10, 0, 1 },

  { (char_T *)(&wt_sablona_DWork.EnabledSubsystem_SubsysRanBC), 2, 0, 1 }
  ,

  { (char_T *)(&rozdil), 0, 0, 1 }
};

/* data type transition table for block I/O structure */
static DataTypeTransitionTable rtBTransTable = {
  8U,
  rtBTransitions
};

/* data type transitions for Parameters structure */
static DataTypeTransition rtPTransitions[] = {
  { (char_T *)(&wt_sablona_P.Constant3_Value), 0, 0, 34 },

  { (char_T *)(&wt_sablona_P.FrequencyOutput_Channels), 6, 0, 9 },

  { (char_T *)(&wt_sablona_P.ManualSwitch_CurrentSetting), 3, 0, 1 }
};

/* data type transition table for Parameters structure */
static DataTypeTransitionTable rtPTransTable = {
  3U,
  rtPTransitions
};

/* [EOF] wt_sablona_dt.h */
